from practicum import find_mcu_boards, McuBoard, PeriBoard
import time

device = find_mcu_boards()
mcu = McuBoard(device[0])
board = PeriBoard(mcu)
count = 0

if __name__ == '__main__':
    board.set_relay(1)
    while True:
        temp = board.get_temperature()
        light = board.get_Lumen()
        moisture = board.get_soil_moisture()

        print('temperature is',temp)
        print(f'light is ',light)
        print(f'moisture is ',moisture)

        if ( light < 300 ) and ( board.get_pin(1) // 2 ) % 2 == 1:
            board.set_relay(1)
            print('turn light off')

        elif light > 300 and ( board.get_pin(1) // 2 ) % 2 == 0:
            board.set_relay(0)
            print('turn light on')

        time.sleep(2)

